summaryrefslogtreecommitdiffstats
path: root/network/transmission/transmission.SlackBuild
diff options
context:
space:
mode:
author Iskar Enev2010-05-12 17:44:19 +0200
committer David Somero2010-05-12 17:44:19 +0200
commit550e43e6a6df73bd0533a58b0a470c847f93fd2a (patch)
treed38813eb905a2a008a84f76d59210c33c20973a9 /network/transmission/transmission.SlackBuild
parent49ccd61bf27aeb8dbfddabd4e96b692705905074 (diff)
downloadslackbuilds-550e43e6a6df73bd0533a58b0a470c847f93fd2a.tar.gz
network/transmission: Updated for version 1.52
Diffstat (limited to 'network/transmission/transmission.SlackBuild')
-rw-r--r--network/transmission/transmission.SlackBuild16
1 files changed, 12 insertions, 4 deletions
diff --git a/network/transmission/transmission.SlackBuild b/network/transmission/transmission.SlackBuild
index 02c579bf17..ff34c1745a 100644
--- a/network/transmission/transmission.SlackBuild
+++ b/network/transmission/transmission.SlackBuild
@@ -1,10 +1,11 @@
#!/bin/sh
# Slackware build script for transmission
+
# Written by Iskar Enev <iskar.enev[@]gmail.com>
PRGNAM=transmission
-VERSION=1.34
+VERSION=1.52
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,7 +35,11 @@ mkdir -p $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -52,8 +57,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -67,6 +74,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz